%define pkg_name        Gtk2-TrayIcon
%define pkg_version     0.06
%define rpm_pkg_version 0.06
%define rpm_pkg_release 1.n0i.8

Summary:       Perl interface to the EggTrayIcon library
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/B/BO/BORUP/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl >= 2:5.8.0
BuildRequires: perl(ExtUtils::Depends) >= 0.100
BuildRequires: perl(ExtUtils::PkgConfig) >= 0.100
BuildRequires: perl(Glib) >= 1.00
BuildRequires: perl(Gtk2) >= 1.00
Requires:      perl(Glib) >= 1.00
Requires:      perl(Gtk2) >= 1.00


%description
This module allows a Perl developer to embed an arbitrary widget
in a System Tray like the Gnome notification area.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path examples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc ChangeLog examples/ README TODO


%changelog
* Wed Jun 06 2007 Marius Feraru <altblue@n0i.net> - 0.06-1.n0i.8
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 0.06

* Thu Aug 25 2005 Marius FERARU <altblue@n0i.net> 0.04-6.n0i.7
- rebuild

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 0.04-5.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Mon Dec 06 2004 Marius FERARU <altblue@n0i.net> 0:0.04-4.n0i.5
- spec updates

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:0.04-3.n0i.4
- automatic rebuild

* Wed Apr 21 2004 Marius Feraru <altblue@n0i.net> 0:0.04-2.n0i.3
- automatic rebuild

* Sat Apr 10 2004 Marius FERARU <altblue@n0i.net> 0:0.04-1.n0i.2
- version 0.04
- updated requirements

* Tue Feb 03 2004 Marius FERARU <altblue@n0i.net> 0:0.03-0.n0i.1
- version 0.03
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001
